Subject: Re: brcm80211 breakage..

From: "Arend van Spriel" <[email-masked]>
Date: Tue, 31 Jan 2012 21:21:08 +0100

On 01/31/2012 08:58 PM, Henrik Rydberg wrote:
>> From 1f3587dd7cdb8e2a505c76041bd5b816e7bcfb67 Mon Sep 17 00:00:00 2001
>> From: Henrik Rydberg <[email-masked]>
>> Date: Tue, 31 Jan 2012 14:22:15 -0500
>> Subject: [PATCH] bcma: don't fail for bad SPROM CRC
>>
>> If it is OK ...?
> 
> How about this:
> 
> The brcmsmac driver is now using the bcma SPROM logic, which does not
> recognize all chipsets that were functional prior to the switch. In
> particular, the current code bails out on odd CRC errors in recent
> Macbooks. This patch ignores those errors, with the argument that an
> unrecognized SPROM should be treated similarly to a non-existing one.
>

Not entirely correct. BCMA sprom logic is currently not used by
brcmsmac, but it sure (as hell) makes sense to do so. Currently, the
bcma SPROM logic is used in SoC chipsets (bcm47xx) and the b43 driver.

Gr. AvS